| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Private Attributes | List of all members
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase Class Reference
Inheritance diagram for GaudiKernel.DataObjectHandleBase.DataObjectHandleBase:
[legend]
Collaboration diagram for GaudiKernel.DataObjectHandleBase.DataObjectHandleBase:
[legend]

## Public Member Functions
def | __init__ (self, path)
def | __eq__ (self, other)
def | __ne__ (self, other)
def | __str__ (self)
def | __repr__ (self)
def | toStringProperty (self)
def | __add__ (self, other)
def | __radd__ (self, other)
def | __iadd__ (self, other)

## Public Attributes
| Path

## Static Private Attributes
tuple | __slots__ = ('Path', )

## Detailed Description

Definition at line 7 of file DataObjectHandleBase.py.

## Constructor & Destructor Documentation

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__init__ | ( |  | self,
|  |  | path
| ) |  |

Definition at line 13 of file DataObjectHandleBase.py.

13 def __init__(self, path):
14 object.__init__(self)
15 self.Path = path
16
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__init__
def __init__(self, path)
Definition: DataObjectHandleBase.py:13
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:15

## Member Function Documentation

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__add__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 45 of file DataObjectHandleBase.py.

45 def __add__(self, other):
46 path = ':'.join(i + other for i in self.Path.split(':'))
47 return DataObjectHandleBase(path)
48
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase
Definition: DataObjectHandleBase.py:7
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__add__
def __add__(self, other)
Definition: DataObjectHandleBase.py:45

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__eq__ | ( |  | self,
|  |  | other
| ) |  |

    Need especially Configurable.isPropertySet when checked against default.

Definition at line 17 of file DataObjectHandleBase.py.

17 def __eq__(self, other):
18 """
19 Need especially Configurable.isPropertySet when checked against default.
20 """
21 if isinstance(other, DataObjectHandleBase):
22 return self.Path == other.Path
23 if isinstance(other, basestring):
24 return self.Path == other
25 if other is None:
26 return False
27 raise ValueError('Unknown equality check: type=%r, repr=%r' %
28 (type(other), other))
29
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__eq__
def __eq__(self, other)
Definition: DataObjectHandleBase.py:17
gaudirun.type
type
Definition: gaudirun.py:133
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:15

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__iadd__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 53 of file DataObjectHandleBase.py.

53 def __iadd__(self, other):
54 self.Path = ':'.join(i + other for i in self.Path.split(':'))
55 return self
56
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__iadd__
def __iadd__(self, other)
Definition: DataObjectHandleBase.py:53
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:15

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__ne__ | ( |  | self,
|  |  | other
| ) |  |

    This is mandatory if __eq__ is defined.

Definition at line 30 of file DataObjectHandleBase.py.

30 def __ne__(self, other):
31 """
32 This is mandatory if __eq__ is defined.
33 """
34 return not self == other
35
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__ne__
def __ne__(self, other)
Definition: DataObjectHandleBase.py:30

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__radd__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 49 of file DataObjectHandleBase.py.

49 def __radd__(self, other):
50 path = ':'.join(other + i for i in self.Path.split(':'))
51 return DataObjectHandleBase(path)
52
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase
Definition: DataObjectHandleBase.py:7
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__radd__
def __radd__(self, other)
Definition: DataObjectHandleBase.py:49

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__repr__ | ( |  | self | ) |

Definition at line 39 of file DataObjectHandleBase.py.

39 def __repr__(self):
40 return "%s(\"%s\")" % (self.__class__.__name__, self.__str__())
41
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__
def __str__(self)
Definition: DataObjectHandleBase.py:36
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__repr__
def __repr__(self)
Definition: DataObjectHandleBase.py:39

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__ | ( |  | self | ) |

Definition at line 36 of file DataObjectHandleBase.py.

36 def __str__(self):
37 return self.Path
38
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__
def __str__(self)
Definition: DataObjectHandleBase.py:36
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:15

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.toStringProperty | ( |  | self | ) |

Definition at line 42 of file DataObjectHandleBase.py.

42 def toStringProperty(self):
43 return self.__str__()
44
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.toStringProperty
def toStringProperty(self)
Definition: DataObjectHandleBase.py:42
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__
def __str__(self)
Definition: DataObjectHandleBase.py:36

## Member Data Documentation

tuple GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__slots__ = ('Path', )
| static private

Definition at line 9 of file DataObjectHandleBase.py.

GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path

Definition at line 15 of file DataObjectHandleBase.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/DataObjectHandleBase.py